@import "colors.css";

a {
	white-space: nowrap !important;
}

#container-dashboard {
	min-height: 100vh;
}

@media only screen and (max-width: 1024px) {

	.login-section {
		margin-top: 5rem;
		margin-bottom: 3rem;
	}
	.wrap-reverse {
		flex-wrap: wrap-reverse !important;
	}


}

@media only screen and (min-width: 1024px) {
	.screen-height {
		min-height: 100vh !important;
		padding-top: 1rem;
		padding-bottom: 2.5rem;
	}

	.login-section {
		max-width: 475px;
	}

	.login-section {
		margin-top: 0rem;
	}

	.footer {
		position: absolute;
		bottom: 0;
	}

	.container {
		height: 100vh;
	}
}

@media only screen and (min-width: 980px) {
	.body-login {
		background-image:  url( '/images/bg-login-desktop.png' );
		background-size: cover;
		background-position: center;
	}
}

@media only screen and (max-width: 980px) {
	.body-login {
		background-image: url( '/images/bg-login-mob.png' );
		background-size: cover;
		background-position: center;
	}

	.jobs-complete svg {
		path {
			opacity: 0;
		}
		foreignObject {
			x: 0;
			y: 0;
			p {
				font-size: 1.5em !important;
			}
			h2 {
				font-size: 3em;
			}
			h4 {
				font-size: 2.5em;
			}
			h6 {
				font-size: 2em;
			}
		}
	}
}

.clean-img {
	padding-left: 10px;
	padding-right: 10px;
}

.btn-icon:hover img {
	filter: brightness(0) invert(1);
}

.theme2 .theme2.accordion-button {
	font-size: inherit;
	padding: 2px 10px 0 0 !important;
	--bs-accordion-btn-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
	--bs-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.theme2 ul.accordion-body {
	line-height: 1rem !important;
}

.theme2 .accordion-body li a {
	width: auto !important;
}

.theme2 .accordion {
	--bs-accordion-border-color: none;
}

.on .accordion-button span {
	color: white !important;
	font-weight: normal;
}

.nav-option {
	background-color: var(--bs-orange);
	border-radius: 5px;
	width: 14rem;
}


.theme2 ul#nav li.on.nav-option a, ul#navOfia li.on.nav-option a, ul#navMyCust li.on.nav-option a {
	color: white !important;
	background: none !important;
}

.theme2 ul#nav li a, ul#navOfia li a, ul#navMyCust li a {
	font-size: 100% !important;
	color: var( --bs-black ) !important;
	width: 14rem;
}

.theme2 ul#nav li a:hover, ul#navOfia li a:hover, ul#navMyCust li a:hover {
	border-radius: 5px;
	background: none !important;
	color: white !important;
	background-color: var(--bs-secondary) !important;
}

.theme2 a.submenu:hover {
	background-color: red !important;
}

.theme2 ul#nav button, ul#navOfia button, ul#navMyCust button {
	text-align: start;
}

.theme2 ul#nav li ul li ul li, ul#navOfia li ul li ul li, ul#navMyCust li ul li ul li {
	font-family: inherit !important;
}

.theme2 .btn-logout {
	text-align: end;
	width: 14rem;
}

.theme2 .btn-logout svg:hover path {
	fill: var(--orange-80);
}

.main-tab-installhub:hover {
	background: var(--red-80) !important;
	a {
		color: var(--white) !important;
	}
}

.main-tab-customer:hover {
	background: var(--blue-80) !important;
	a {
		color: var(--white) !important;
	}
}

.theme2 .off.main-tab-customer {
	background: #CCE7F8 !important;
}

.main-tab-classic:hover {
	background: var(--orange-80) !important;
	a {
		color: var(--white) !important;
	}
}

#termsModal .modal-body {
	font-size: 16px;
}

#termsModal {
	.close {
		font-size: large;
		height: fit-content;
	}
	.close .btn-close {
		margin: 0;
		opacity: 1;
		filter: invert(71%) sepia(67%) saturate(2509%) hue-rotate(344deg) brightness(97%) contrast(99%);
	}
	.close .btn-close:hover {
		filter: brightness(0) invert(1);
	}
	.close:hover {
		background-color: var(--bs-orange);
	}
	
}

.theme2 table.treetable {
	border: 0;
	thead tr th {
		border: 0;
	}
}

.theme2 #table-wrapper .dt-layout-row.dt-layout-table {
	overflow-x: scroll;
	max-height: 80vh;
	border-radius: 0.5rem !important;
}

.theme2 div.dt-container, .theme2 div.dt-layout-cell{
	 padding: 0 !important;
} 

.theme2 .close-modal {

	font-size: large;
	height: fit-content;

	.btn-close {
		margin: 0;
		opacity: 1;
		filter: invert(71%) sepia(67%) saturate(2509%) hue-rotate(344deg) brightness(97%) contrast(99%);
	}

	.btn-close:hover {
		filter: brightness(0) invert(1);
	}
	
}

.theme2 .close-modal:hover {
	background-color: var(--bs-orange);
}

#hideColumnsModal {
	.nav-link.active {
		border-color: var(--bs-secondary);
		background-color:  var(--bs-secondary);
		color: var(--white) !important;
	}

	.nav-link {
		border-color: var(--bs-secondary-subtle);
		background-color:  var(--bs-secondary-subtle);
		color: var(--bs-secondary) !important;
	}
}

.theme2 {
	table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order,
	table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order,
	table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order,
	table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order,
	table.dataTable thead>tr>td.dt-orderable-asc span.dt-column-order,
	table.dataTable thead>tr>td.dt-orderable-desc span.dt-column-order,
	table.dataTable thead>tr>td.dt-ordering-asc span.dt-column-order,
	table.dataTable thead>tr>td.dt-ordering-desc span.dt-column-order {
		right: 0 !important;
	}
}